com.verisign.epp.codec.verificationcode

## Class EPPVerificationCodeInfData

- java.lang.Object
- - com.verisign.epp.codec.verificationcode.EPPVerificationCodeInfData

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPVerificationCodeInfData
      extends java.lang.Object
      implements EPPCodecComponent

  Extension to the info response to return the verification information. The `EPPVerificationCodeInfo` info command extension defines interest in returning the verification information in the extension to the info response.
  See Also:
    `EPPVerificationCodeInfo`, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EPPVerificationCodeInfData.Status` Verification statuses that include: `NOT_APPLICABLE` - The status is not applicable to the client since there is no assigned verification profile. `NON_COMPLIANT` - The object is non-compliant according to the verification profile. `PENDING_COMPLIANCE` - The object is not in compliance with the verification profile, but has a grace period to set the required set of verification codes, as reflected by the due date of the verification code type. `COMPLIANT` The object is compliant with the verification profile.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` Constant for the info response extension local name
    `static java.lang.String` | `ELM_NAME` Constant for the info response extension tag

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPVerificationCodeInfData()` Create an `EPPVerificationCodeInfData` instance.
    `EPPVerificationCodeInfData(EPPVerificationCodeInfData.Status aStatus)` Create a EPPVerificationCodeInfData instance with the required status.
    `EPPVerificationCodeInfData(EPPVerificationCodeInfData.Status aStatus, EPPVerificationCodeProfile aProfile)` Create a EPPVerificationCodeInfData instance with the required status and the a single profile.
    `EPPVerificationCodeInfData(EPPVerificationCodeInfData.Status aStatus, java.util.List<EPPVerificationCodeProfile> aProfiles)` Create a EPPVerificationCodeInfData instance with the required status and the optional profiles.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProfile(EPPVerificationCodeProfile aProfile)` Add a profile to the list of profiles.
    `java.lang.Object` | `clone()` Clone `EPPVerificationCodeInfData`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the EPPVerificationCodeInfData component
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Sets all this instance's data in the given XML document
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPVerificationCodeInfData` compare.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `EPPVerificationCodeProfile` | `getProfile()` Gets the single profile.
    `java.util.List<EPPVerificationCodeProfile>` | `getProfiles()` Returns the list of profiles.
    `EPPVerificationCodeInfData.Status` | `getStatus()` Gets the verification status.
    `boolean` | `hasProfile()` Is there a single profile?
    `boolean` | `hasProfiles()` Are there any profiles?
    `void` | `setProfile(EPPVerificationCodeProfile aProfile)` Sets the single profile.
    `void` | `setProfiles(java.util.List<EPPVerificationCodeProfile> aProfiles)` Sets the profiles.
    `void` | `setStatus(EPPVerificationCodeInfData.Status aStatus)` Sets the verification status.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      Constant for the info response extension local name
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Constant for the info response extension tag
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPVerificationCodeInfData

          public EPPVerificationCodeInfData()

      Create an `EPPVerificationCodeInfData` instance.

    - #### EPPVerificationCodeInfData

          public EPPVerificationCodeInfData(EPPVerificationCodeInfData.Status aStatus)

      Create a EPPVerificationCodeInfData instance with the required status.
      Parameters:
        `aStatus` - Status of the verification

    - #### EPPVerificationCodeInfData

          public EPPVerificationCodeInfData(EPPVerificationCodeInfData.Status aStatus,
                                            EPPVerificationCodeProfile aProfile)

      Create a EPPVerificationCodeInfData instance with the required status and the a single profile.
      Parameters:
        `aStatus` - Status of the verification
        `aProfile` - Single verification profile

    - #### EPPVerificationCodeInfData

          public EPPVerificationCodeInfData(EPPVerificationCodeInfData.Status aStatus,
                                            java.util.List<EPPVerificationCodeProfile> aProfiles)

      Create a EPPVerificationCodeInfData instance with the required status and the optional profiles.
      Parameters:
        `aStatus` - Status of the verification
        `aProfiles` - OPTIONAL verification profiles

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPVerificationCodeInfData`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPVerificationCodeInfData`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Sets all this instance's data in the given XML document
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - a DOM Document to attach data to.
      Returns:
        The root element of this component.
      Throws:
        `EPPEncodeException` - Thrown if any errors prevent encoding.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the EPPVerificationCodeInfData component
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Element to decode from
      Throws:
        `EPPDecodeException` - On decoding error

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPVerificationCodeInfData` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPVerificationCodeInfData` instance to compare with
      Returns:
        true if equal false otherwise

    - #### getStatus

          public EPPVerificationCodeInfData.Status getStatus()

      Gets the verification status.
      Returns:
        Verification status

    - #### setStatus

          public void setStatus(EPPVerificationCodeInfData.Status aStatus)

      Sets the verification status.
      Parameters:
        `aStatus` - Verification status

    - #### hasProfiles

          public boolean hasProfiles()

      Are there any profiles?
      Returns:
        `true` if there are profiles; `false` otherwise.

    - #### getProfiles

          public java.util.List<EPPVerificationCodeProfile> getProfiles()

      Returns the list of profiles. An empty list indicates that there are no profiles.
      Returns:
        List of profiles.

    - #### setProfiles

          public void setProfiles(java.util.List<EPPVerificationCodeProfile> aProfiles)

      Sets the profiles.
      Parameters:
        `aProfiles` - The list of profiles. Set to `null` or an empty list to indicate that there are no profiles.

    - #### addProfile

          public void addProfile(EPPVerificationCodeProfile aProfile)

      Add a profile to the list of profiles.
      Parameters:
        `aProfile` - Profile to add to the list of profiles.

    - #### hasProfile

          public boolean hasProfile()

      Is there a single profile?
      Returns:
        `true` if there is one profiles; `false` otherwise.

    - #### getProfile

          public EPPVerificationCodeProfile getProfile()

      Gets the single profile.
      Returns:
        Single profile that is set if defined; `null` otherwise.

    - #### setProfile

          public void setProfile(EPPVerificationCodeProfile aProfile)

      Sets the single profile. If there is a list of profiles currently set, this method will clear the list and set the profiles to a single profile consisting of `aProfile`.
      Parameters:
        `aProfile` - Single profile to set.

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.